Skip to content

Get One Template

GET /public/template/{templateId}

Retrieve detailed information of a specific automation template by its ID.

This endpoint is used to get the complete configuration of a template before using or modifying it.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Gold+

Parameters

ParameterTypeRequiredDescription
templateIdstringYesThe unique identifier of the automation template.

Example Request

bash
curl -X GET "https://api.repliz.com/public/template/6a912e6c8133bfb870b220d3" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const templateId = '6a912e6c8133bfb870b220d3';

const response = await axios.get(
  `https://api.repliz.com/public/template/${templateId}`,
  {
    auth: {
      username: 'YOUR_ACCESS_KEY',
      password: 'YOUR_SECRET_KEY',
    },
  },
);

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const templateId = '6a912e6c8133bfb870b220d3';

const response = await fetch(
  `https://api.repliz.com/public/template/${templateId}`,
  {
    headers: {
      Authorization: `Basic ${credentials}`,
    },
  },
);

const data = await response.json();
console.log(data);

Response

json
{
  "_id": "6a912e6c8133bfb870b220d3",
  "name": "Hello",
  "config": {
    "delete": {
      "isActive": true,
      "type": "keyword",
      "keywords": ["Jobless"],
      "prompt": ""
    },
    "reply": {
      "isActive": true,
      "type": "text",
      "text": "Thanks for comment",
      "prompt": "",
      "isIncludeContentContext": false,
      "keyword": {
        "isExactMatch": false,
        "values": []
      },
      "condition": {
        "isActive": false,
        "isExactMatch": false,
        "keywords": []
      },
      "exception": {
        "isActive": false,
        "isExactMatch": false,
        "keywords": []
      },
      "delay": {
        "isActive": false,
        "value": 10,
        "type": "second"
      }
    },
    "like": {
      "isActive": true
    },
    "message": {
      "isActive": true,
      "type": "text",
      "text": "Thanks for comment, here we are",
      "prompt": "",
      "opening": {
        "postback": {
          "isActive": false,
          "text": "",
          "image": "",
          "file": null,
          "button": {
            "type": "postback",
            "title": "",
            "payload": ""
          }
        },
        "additional": {
          "isActive": false,
          "isPreventBeforeFollow": false,
          "text": "",
          "image": "",
          "file": null,
          "button": {
            "type": "postback",
            "title": "",
            "payload": ""
          }
        },
        "webUrl": {
          "text": "",
          "image": "",
          "file": null,
          "buttons": []
        }
      },
      "keyword": {
        "isExactMatch": false,
        "values": []
      },
      "condition": {
        "isActive": false,
        "isExactMatch": false,
        "keywords": []
      },
      "delay": {
        "isActive": false,
        "value": 10,
        "type": "second"
      }
    },
    "story": {
      "isActive": true,
      "type": "text",
      "text": "Like this story?",
      "prompt": "",
      "opening": {
        "postback": {
          "isActive": false,
          "text": "",
          "image": "",
          "file": null,
          "button": {
            "type": "postback",
            "title": "",
            "payload": ""
          }
        },
        "additional": {
          "isActive": false,
          "isPreventBeforeFollow": false,
          "text": "",
          "image": "",
          "file": null,
          "button": {
            "type": "postback",
            "title": "",
            "payload": ""
          }
        },
        "webUrl": {
          "text": "",
          "image": "",
          "file": null,
          "buttons": []
        }
      },
      "keyword": {
        "isExactMatch": false,
        "values": []
      },
      "condition": {
        "isActive": false,
        "isExactMatch": false,
        "keywords": []
      },
      "delay": {
        "isActive": false,
        "value": 10,
        "type": "second"
      }
    },
    "chat": {
      "isActive": true,
      "type": "text",
      "text": "For information, please call a book on website",
      "prompt": "",
      "keyword": {
        "isExactMatch": false,
        "values": []
      },
      "delay": {
        "isActive": false,
        "value": 10,
        "type": "second"
      }
    }
  },
  "userId": "6a55bba8622734cc66f2d7b3",
  "createdAt": "2026-08-28T06:45:00.514Z",
  "updatedAt": "2026-08-28T06:45:00.514Z",
  "__v": 0,
  "id": "6a912e6c8133bfb870b220d3"
}
json
{
  "code": 404,
  "message": "template not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}